[pkg-wine-party] [wine] 120/124: Set upstream's WINE_WGL_DRIVER_VERSION in opengl.patch.

Jens Reyer jreyer-guest at moszumanska.debian.org
Wed Jan 10 21:17:07 UTC 2018


This is an automated email from the git hooks/post-receive script.

jreyer-guest pushed a commit to branch buster
in repository wine.

commit 67ff2150f094927e9441981e1a57866f47574ec4
Author: Jens Reyer <jre.winesim at gmail.com>
Date:   Tue Oct 31 17:01:53 2017 +0100

    Set upstream's WINE_WGL_DRIVER_VERSION in opengl.patch.
    
    Also improve regex and documentation for the similar setting of
    SERVER_PROTOCOL_VERSION in request.patch.
---
 debian/scripts/import | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

diff --git a/debian/scripts/import b/debian/scripts/import
index a558bbc..19c33a3 100755
--- a/debian/scripts/import
+++ b/debian/scripts/import
@@ -42,10 +42,26 @@ sed -n 's/^  - \(.*\)/- \1/p' ANNOUNCE | while read line; do
   dch $line
 done
 
-# set upstream's SERVER_PROTOCOL_VERSION in request.patch
-# this is usually stored in include/wine/server_protocol.h, but we clean that file because it is generated
-proto_version=$(expr $(grep "#define SERVER_PROTOCOL_VERSION" include/wine/server_protocol.h | cut -d\  -f 3) - 1)
+# Set upstream's SERVER_PROTOCOL_VERSION in request.patch.
+# Upstream stores this in their generated file include/wine/server_protocol.h, and bumps the
+# version by one whenever the file is regenerated by tools/make_requests.
+# So get the version on import, subtract one (since we'll do a no-change regeneration later
+# which includes bumping the version again), and store it in the patch.
+# Later on we remove the server_protocol.h on clean and from the orig.tar.
+proto_version=$(expr $(grep "^#define SERVER_PROTOCOL_VERSION [[:digit:]]*" include/wine/server_protocol.h | cut -d\  -f 3) - 1)
 [ "$proto_version" -lt 32767 ] || {
     echo "error: proto_version $proto_version is not valid."
     exit 1;}
-sed -i "s|\(+    my \$protocol = \)[[:digit:]]*;|\1${proto_version};|" debian/patches/generate/request.patch
+sed -i "s|^\(+    my \$protocol = \)[[:digit:]]*;|\1${proto_version};|" debian/patches/generate/request.patch
+
+# Set upstream's WINE_WGL_DRIVER_VERSION in opengl.patch.
+# Upstream stores this in their generated file include/wine/wgl_driver.h, and bumps the
+# version by one whenever the file is regenerated by dlls/opengl32/make_opengl.
+# So get the version on import, subtract one (since we'll do a no-change regeneration later
+# which includes bumping the version again), and store it in the patch.
+# Later on we remove the wgl_driver.h on clean and from the orig.tar.
+wgl_version=$(expr $(grep "^#define WINE_WGL_DRIVER_VERSION [[:digit:]]*" include/wine/wgl_driver.h | cut -d\  -f 3) - 1)
+[ "$wgl_version" -lt 32767 ] || {
+    echo "error: wgl_version $wgl_version is not valid."
+    exit 1;}
+sed -i "s|^\(+my \$wgl_version = \)[[:digit:]]*;|\1${wgl_version};|" debian/patches/generate/opengl.patch

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-wine/wine.git



More information about the pkg-wine-party mailing list